--
--	Abyssal Portal
--		Demon banished or mana bar drained each turn.
--

local function OnStartTurn(characterIdx,turnNumber)

	local daemons = {};
	local effCount = GET_NUM_STATUS_EFFECTS(characterIdx);
	local i;
	local effName;
	local daemonCount = 0;
	for i = 0,effCount-1 do
		effName = GET_STATUS_EFFECT_ON_PLAYER(characterIdx, i);
		if (effName == "EIMP" or effName == "ESUC" or effName == "EBRG" or
		    effName == "EHKN" or effName == "ECAB") then
			
			daemons[daemonCount] = i;
			daemonCount = daemonCount + 1;
		end
	end

	if (daemonCount > 0) then
		-- banish daemon
		i = GET_RANDOM_SYNC(0, daemonCount-1);
		SET_STATUS_EFFECT_DURATION(characterIdx, i, 1);
	else
		-- drain mana bar
		i = GET_RANDOM_SYNC(1,4);
		if (i == 1) then
			SET_MANA_AIR(characterIdx, 0);
		elseif (i == 2) then
			SET_MANA_EARTH(characterIdx, 0);
		elseif (i == 3) then
			SET_MANA_FIRE(characterIdx, 0);
		elseif (i == 4) then
			SET_MANA_WATER(characterIdx, 0);
		end
	end
	
	
	return;
end

--	
--		DECLARE TABLE	
--

AbyssalPortal = {
	OnStartTurn = OnStartTurn,
};

