--
--	Imp
--		Switches 2 random gems on the board every turn.
--

local function OnStartTurn(characterIdx,turnNumber)

	-- grab two random different gems
	local x1,y1 = GetRandomGrid();
	local x2,y2 = GetRandomGrid_Not(GET_GEM(x1,y1));

	-- switch them!
	local typ1 = GET_GEM(x1,y1);
	SET_GEM(x1,y1, GET_GEM(x2,y2));
	SET_GEM(x2,y2,typ1);

	-- Play effects on those gems
	ADD_EFFECT_TO_GRID(x1,y1,"RedSparkle");
	ADD_EFFECT_TO_GRID(x2,y2,"RedSparkle");
	
	return;
end

--	
--		DECLARE TABLE	
--

Imp = {
	OnStartTurn = OnStartTurn,
};

